AppAIGatewayDocs
API referenceAdmin provider gateways

Rename a provider gateway

PATCH
/v1/admin/provider-gateways/{id}

Authorization

agw_identity_auth.session_token<token>

The console's session cookie. Admin requests from the console also send x-console-request: 1.

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/admin/provider-gateways/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "gateway": {    "id": "string",    "name": "string",    "secretHint": "string",    "providerCount": 0,    "referencedCount": 0,    "status": "active",    "createdAt": "string",    "updatedAt": "string",    "createdBy": "string",    "type": "cf_aig",    "config": {      "accountId": "string",      "gatewayId": "string"    }  }}